> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neobank.proofof.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Quote



## OpenAPI

````yaml /openapi.json post /v1/quotes
openapi: 3.1.0
info:
  summary: >-
    Canonical API for customer onboarding, accounts, remittance, mandates, and
    cards.
  title: Example Neobank
  version: 0.1.0
servers: []
security: []
paths:
  /v1/quotes:
    post:
      tags:
        - Transfers
      summary: Create Quote
      operationId: create_quote_v1_quotes_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/QuoteCreate'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/QuoteView'
          description: Successful Response
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
          description: Malformed or invalid request semantics
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
          description: Authentication required
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
          description: Action not permitted
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
          description: Resource not found
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
          description: State or idempotency conflict
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
          description: Request validation failed
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
          description: Rate limit exceeded
        '502':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
          description: Invalid upstream response
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
          description: Provider capability unavailable
        '504':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
          description: Provider timeout
components:
  schemas:
    QuoteCreate:
      additionalProperties: false
      properties:
        beneficiary_id:
          title: Beneficiary Id
          type: string
        source:
          $ref: '#/components/schemas/Money'
      required:
        - beneficiary_id
        - source
      title: QuoteCreate
      type: object
    QuoteView:
      additionalProperties: false
      properties:
        beneficiary_id:
          title: Beneficiary Id
          type: string
        confirm_by:
          format: date-time
          title: Confirm By
          type: string
        estimated_at:
          format: date-time
          title: Estimated At
          type: string
        estimated_destination:
          $ref: '#/components/schemas/Money'
        estimated_fee:
          $ref: '#/components/schemas/NonNegativeMoney'
        estimated_payout_rate:
          pattern: ^\+?(?:\d*[1-9]\d*(?:\.\d*)?|\d*\.\d*[1-9]\d*)(?:[eE][+-]?\d+)?$
          title: Estimated Payout Rate
          type: string
        executable:
          const: false
          default: false
          title: Executable
          type: boolean
        id:
          title: Id
          type: string
        local_units_per_usd:
          pattern: ^\+?(?:\d*[1-9]\d*(?:\.\d*)?|\d*\.\d*[1-9]\d*)(?:[eE][+-]?\d+)?$
          title: Local Units Per Usd
          type: string
        perflo_cash_debit:
          $ref: '#/components/schemas/Money'
        requested_source:
          $ref: '#/components/schemas/Money'
      required:
        - id
        - beneficiary_id
        - requested_source
        - perflo_cash_debit
        - estimated_destination
        - estimated_fee
        - local_units_per_usd
        - estimated_payout_rate
        - estimated_at
        - confirm_by
      title: QuoteView
      type: object
    ProblemDetails:
      additionalProperties: false
      properties:
        code:
          title: Code
          type: string
        detail:
          title: Detail
          type: string
        fields:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          title: Fields
        instance:
          title: Instance
          type: string
        refresh_onboarding:
          title: Refresh Onboarding
          type: boolean
        request_id:
          title: Request Id
          type: string
        retryable:
          title: Retryable
          type: boolean
        status:
          title: Status
          type: integer
        submission_uncertain:
          title: Submission Uncertain
          type: boolean
        title:
          title: Title
          type: string
        type:
          title: Type
          type: string
      required:
        - type
        - title
        - status
        - detail
        - instance
        - code
        - request_id
        - retryable
        - submission_uncertain
        - refresh_onboarding
      title: ProblemDetails
      type: object
    Money:
      additionalProperties: false
      properties:
        amount:
          examples:
            - '125.50'
          pattern: ^\+?(?:\d*[1-9]\d*(?:\.\d*)?|\d*\.\d*[1-9]\d*)(?:[eE][+-]?\d+)?$
          title: Amount
          type: string
        currency:
          examples:
            - AED
          pattern: ^[A-Za-z]{3}$
          title: Currency
          type: string
      required:
        - currency
        - amount
      title: Money
      type: object
    NonNegativeMoney:
      additionalProperties: false
      properties:
        amount:
          examples:
            - '0.00'
          pattern: ^\+?(?:\d+(?:\.\d*)?|\.\d+)(?:[eE][+-]?\d+)?$
          title: Amount
          type: string
        currency:
          examples:
            - AED
          pattern: ^[A-Za-z]{3}$
          title: Currency
          type: string
      required:
        - currency
        - amount
      title: NonNegativeMoney
      type: object

````